EnhancementsIndexingParams (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.enhancements.params.EnhancementsIndexingParams interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.enhancements.params
Interface EnhancementsIndexingParams

All Superinterfaces:
  FacetIndexingParams, Serializable

All Known Implementing Classes:
  DefaultEnhancementsIndexingParams

    public interface EnhancementsIndexingParams

extends FacetIndexingParams

`Facet indexing parameters` for defining `category enhancements`. It must contain at least one enhancement, otherwise nothing is "enhanced" about it. When there are more than one, the order matters - see `getCategoryEnhancements()`.

See Also:
  `EnhancementsDocumentBuilder`
WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`void` | `addCategoryEnhancements(CategoryEnhancement... enhancements)` Add `CategoryEnhancement`s to the indexing parameters
`List<CategoryEnhancement>` | `getCategoryEnhancements()` Get a list of the active category enhancements.
`List<Class<? extends CategoryProperty>>` | `getRetainableProperties()` Get a list of `CategoryProperty` classes to be retained when creating `CategoryParentsStream`.

Methods inherited from interface org.apache.lucene.facet.index.params.FacetIndexingParams
`drillDownTermText, getAllCategoryListParams, getCategoryListParams, getFacetDelimChar, getOrdinalPolicy, getPartitionSize, getPathPolicy`

Method Detail

### addCategoryEnhancements

    void addCategoryEnhancements(CategoryEnhancement... enhancements)

  Add `CategoryEnhancement`s to the indexing parameters

  Parameters:
    `enhancements` - enhancements to add

### getCategoryEnhancements

    List<CategoryEnhancement> getCategoryEnhancements()

  Get a list of the active category enhancements. If no enhancements exist return `null`. The order of enhancements in the returned list dictates the order in which the enhancements data appear in the category tokens payload.

  Returns:
    A list of the active category enhancements, or `null` if there are no enhancements.

### getRetainableProperties

    List<Class<? extends CategoryProperty>> getRetainableProperties()

  Get a list of `CategoryProperty` classes to be retained when creating `CategoryParentsStream`.

  Returns:
    the list of `CategoryProperty` classes to be retained when creating `CategoryParentsStream`, or `null` if there are no such properties.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD